Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Bruno Chandía
liferay 6.1 war in Jboss 5.1.0 deploy problem
August 31, 2012 9:28 AM
Answer

Bruno Chandía

Rank: New Member

Posts: 10

Join Date: August 16, 2012

Recent Posts

Hello community!
I'm getting into the world LF 6.1 about a week ago. and I'm trying to raise it in a WAR JBOSS 5.1.0 (on Windows 7). This has worked well for me the first time following this tutorial Ricardo Funke .. (Very good) but now I'm having the following problem (attached below) and I do not know where to attack.

I managed to install LF CE 6.1 by following this tutorial WAR leaving everything in the C: \ liferay:
(Used, liferay-portal-6.1.1-ce-GA2-20120731132656558.war and liferay-portal-dependencies-6.1.1-ce-GA2-20120731132656558.zip)
So

C: liferay
...
\ Jboss-5.1.0.GA
...
\ Portal-setup-wizard.properties
\ Portal-ext.properties

BUT WHEN INSTALL LF 6.1 EE INTENE trial following the same instructions
(Used, liferay-portal-6.1.1-ce-GA2-20120731132656558.war and liferay-portal-1.6.20-ee-GA2-20120731110418084.war)

In the C: liferay-ee throws me the following error:

31/08/2012 13:09:48,460 INFO (main) Starting Liferay Portal Community Edition 6.1.1 CE GA2 (Paton / Build 6101 / July 31, 2012)
31/08/2012 13:09:50,046 INFO (main) 13:09:50,045 INFO [BaseDB: 452] Database supports case sensitive queries
31/08/2012 13:09:50,073 INFO (main) 13:09:50,067 ERROR [MainServlet: 217] java.lang.IllegalStateException: Attempting to deploy an older version of Liferay Portal. Current version is build 6110 and attempting to deploy version 6101.
java.lang.IllegalStateException: Attempting to deploy an older version of Liferay Portal. Current version is build 6110 and attempting to deploy version 6101.
at com.liferay.portal.tools.DBUpgrader.upgrade (DBUpgrader.java: 105)
at com.liferay.portal.events.StartupAction.doRun (StartupAction.java: 144)
at com.liferay.portal.ee.license.StartupAction.doRun (Unknown Source)
at com.liferay.portal.events.StartupAction.run (StartupAction.java: 52)
at com.liferay.portal.servlet.MainServlet.processStartupEvents (MainServlet.java: 1306)
at com.liferay.portal.servlet.MainServlet.init (MainServlet.java: 214)

Someone could help me with any leads or ideas please!?
Greetings!
Hitoshi Ozawa
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
September 1, 2012 8:02 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7949

Join Date: March 23, 2010

Recent Posts

31/08/2012 13:09:48,460 INFO (main) Starting Liferay Portal Community Edition 6.1.1 CE GA2 (Paton / Build 6101 / July 31, 2012)


You seems to be starting CE version and not EE.

(Used, liferay-portal-6.1.1-ce-GA2-20120731132656558.war and liferay-portal-1.6.20-ee-GA2-20120731110418084.war)


Are you trying to install CE AND EE version on the same application server?
Bruno Chandía
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
September 4, 2012 8:32 AM
Answer

Bruno Chandía

Rank: New Member

Posts: 10

Join Date: August 16, 2012

Recent Posts

Hi Hitoshi!
Firstly my apologies for write this in that line:

(Used, liferay-portal-6.1.1-ce-GA2-20120731132656558.war and liferay-portal-1.6.20-ee-GA2-20120731110418084.war)


because in that line I wanted to write:
(Used, liferay-portal-1.6.20-ee-GA2-20120731110418084.war and liferay-portal-dependencies-6.1.1-ce-ga2-20120731132656558.zip)
... sorri

Are you trying to install CE AND EE version on the same application server?

yes, but i created diferents directories... I'm trying to run liferay-ce in,

C: \ liferay-ce
\deploy
\ jboss-5.1.0.GA (here i put de liferay-ce war and dependencies CE edition)
\...
\ portal-setup-wizard.properties
\ portal-ext.properties
... etc

and liferay-ee in

C: \ liferay-ee
\deploy
\jboss-5.1.0.GA (here i put de liferay-EE war and dependencies CE edition)
\...
\ portal-setup-wizard.properties
\ portal-ext.properties
... etc

31/08/2012 13:09:48,460 INFO (main) Starting Liferay Portal Community Edition 6.1.1 CE GA2 (Paton / Build 6101 / July 31, 2012)

I think I get this message by charging the dependencies-CE...

maybe, the problem be because the dependencies that i use are of CE edition? :/
(although I have not found EE dependencies to download)
pd: here is de link of the tutorial that i use
Hitoshi Ozawa
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
September 4, 2012 4:50 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7949

Join Date: March 23, 2010

Recent Posts

Should contact Liferay.com if they have EE dependencies file. Some other users were having problem with CE and EE compatibilities in 6.1.1 GA2 too so they may be different.
Bruno Chandía
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
September 5, 2012 6:17 AM
Answer

Bruno Chandía

Rank: New Member

Posts: 10

Join Date: August 16, 2012

Recent Posts

mmm ok thanks emoticon ... anyway if anyone else has gone something like, appreciate some input...
Rick Moyer
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
September 19, 2012 10:00 AM
Answer

Rick Moyer

Rank: New Member

Posts: 2

Join Date: October 5, 2011

Recent Posts

Any update on finding the dependencies zip for 6.1.20 EE GA2?

Getting ready to install 6.1.20 EE GA2 on Jboss 5.1.0

thanks
Rick
Baber Ali
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
November 15, 2012 1:12 AM
Answer

Baber Ali

Rank: New Member

Posts: 2

Join Date: November 14, 2012

Recent Posts

replace 6110 with 6101 in the file 'lportal.script' under /liferay/data/hsql
Renata Siega
RE: liferay 6.1 war in Jboss 5.1.0 deploy problem
November 26, 2012 8:49 AM
Answer

Renata Siega

Rank: Junior Member

Posts: 34

Join Date: October 29, 2012

Recent Posts

i'm having the same problem and I tried to change what you said and it didn't work.